Subject: [BUG] git clone -q ends with early EOF

From: Marek Vasut <[email-masked]>
Date: Wed, 18 Sep 2013 14:44:18 +0200

Hello,

I am trying to clone a repository and I am getting the following output:

$ git clone -q git://kernel.ubuntu.com/ubuntu/linux.git
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed

The "fatal:" lines usually appear a few minutes after running the clone. Of 
course, the clone does not finish successfully. Interestingly, when I drop the 
'-q' option from the git clone commandline, the clone finishes correctly.

My git version is:

$ git --version
git version 1.8.4.rc3

Is this a known issue?

Thank you!

Best regards,
Marek Vasut